//---------------------------------------------------------------------------

#ifndef Unit1H
#define Unit1H
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include "ZylSerialPort.hpp"
#include <Vcl.ExtCtrls.hpp>
#include <Vcl.Menus.hpp>
//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
	TLabel *lblPort;
	TLabel *lblBaudRate;
	TMemo *Memo;
	TButton *btnOpen;
	TButton *btnSendStr;
	TButton *btnClose;
	TListBox *cmbPort;
	TRadioGroup *rgMode;
	TListBox *lstBaudRate;
	TRadioGroup *rbDataWidth;
	TRadioGroup *rbParity;
	TRadioGroup *rbStopBits;
	TRadioGroup *rbHwFlowControl;
	TRadioGroup *rbSwFlowControl;
	TButton *btnApply;
	TGroupBox *gbEnable;
	TCheckBox *cbDTR;
	TCheckBox *cbRTS;
	TMemo *efText;
	TCheckBox *cbShowHiddenChars;
	TZylSerialPort *ZylSerialPort1;
	void __fastcall btnOpenClick(TObject *Sender);
	void __fastcall ZylSerialPort1Receive(TObject *Sender, AnsiString Buffer);
	void __fastcall btnSendStrClick(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
	void __fastcall ZylSerialPort1Connect(TObject *Sender, TCommPort Port);
	void __fastcall ZylSerialPort1Disconnect(TObject *Sender, TCommPort Port);
	void __fastcall btnCloseClick(TObject *Sender);
	void __fastcall btnApplyClick(TObject *Sender);
private:	// User declarations
    void ApplySettings();
public:		// User declarations
	__fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
